# Mark's Awesomewm Config

## Dependencies
Some features require extra tools. Tools each module requires are listed below. If a module is disabled, its tool is not needed. Applications required by `core` MUST be installed.

 - Core: `fish`
 - Backlight: `xbacklight`
 - Battery: `upower`
 - Ibus: `ibus`
 - Launcher: `rofi`
 - Lock: `i3lock, imagemagick, scrot` or `lightdm` (For `dm-tool`), depending on configuration.
 - MPC: `mpc`
 - Picom: `picom`
 - Screenshot: `flameshot`, `tesseract (and data)`, `xclip`, `lpr`
 - Volume: `pamixer`


## Modules

Modules are parts of this configuration that can be disabled. Nearly all features in this config are defined by a module.

### Enable / Disable Modules

See `config-template.lua`

### Organization

Every directory in `modules/` is a module. Modules cannot be in subdirectories. \
Each module directory MUST have an ``init.lua``, which returns a table. That table can contain anything, but a few keys are special:

``keybinds`` \
Defines keybinds the module provides. It is audomatically loaded *if* the module is enabled. \
This MUST be a table formed by ``awful.key()``. See `ibus` or `screenshot` for examples.

``init`` \
Defines an init method. This is called once when awesome starts.
